Changes
curl --request GET \
--url 'https://api.themoviedb.org/3/movie/{movie_id}/changes?%7B%7Bkey%7D%7D='import requests
url = "https://api.themoviedb.org/3/movie/{movie_id}/changes?%7B%7Bkey%7D%7D="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/movie/{movie_id}/changes?%7B%7Bkey%7D%7D=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"changes": [
{
"items": [
{
"action": "updated",
"id": "675f8edcd6313c7952417ad2",
"iso_3166_1": "",
"iso_639_1": "",
"original_value": 616867000,
"time": "2024-12-16 02:22:20 UTC",
"value": 717016469
}
],
"key": "revenue"
},
{
"items": [
{
"action": "added",
"id": "6760570434475e134c9287b6",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2024-12-16 16:36:20 UTC",
"value": {
"id": 179431,
"name": "duringcreditsstinger"
}
}
],
"key": "plot_keywords"
},
{
"items": [
{
"action": "added",
"id": "6760a81d3e055e34ce191e54",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2024-12-16 22:22:21 UTC",
"value": {
"backdrop": {
"file_path": "/rVlwDjh8Fw8m6HVJR7KRWmRdPZl.jpg"
}
}
}
],
"key": "images"
}
]
}Movies
Changes
This endpoint is used to get the recent changes for a movie.
GET
/
3
/
movie
/
{movie_id}
/
changes
Changes
Authorizations
Path Parameters
integer
Example:
"1241982"
Response
200 - application/json
OK
Show child attributes
Show child attributes
Example:
[
{
"items": [
{
"action": "updated",
"id": "675f8edcd6313c7952417ad2",
"iso_3166_1": "",
"iso_639_1": "",
"original_value": 616867000,
"time": "2024-12-16 02:22:20 UTC",
"value": 717016469
}
],
"key": "revenue"
},
{
"items": [
{
"action": "added",
"id": "6760570434475e134c9287b6",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2024-12-16 16:36:20 UTC",
"value": {
"id": 179431,
"name": "duringcreditsstinger"
}
}
],
"key": "plot_keywords"
},
{
"items": [
{
"action": "added",
"id": "6760a81d3e055e34ce191e54",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2024-12-16 22:22:21 UTC",
"value": {
"backdrop": {
"file_path": "/rVlwDjh8Fw8m6HVJR7KRWmRdPZl.jpg"
}
}
}
],
"key": "images"
}
]
Was this page helpful?
⌘I